com.mysql.cj.xdevapi

## Interface RowResult

All Superinterfaces:
  FetchResult<Row>, Iterable<Row>, Iterator<Row>, QueryResult, Result

All Known Subinterfaces:
  SqlResult

    public interface RowResult
    extends FetchResult<Row>, Result

A result exposing a set of rows from a SELECT query.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumnCount()` Count of columns.
`List<String>` `getColumnNames()` Names of columns.
`List<Column>` `getColumns()` Metadata.

### Methods inherited from interface com.mysql.cj.xdevapi.FetchResult

`count, fetchAll, fetchOne, hasData, iterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface com.mysql.cj.xdevapi.Result

`getAffectedItemsCount, getWarnings, getWarningsCount`

### Method Detail

#### getColumnCount

    int getColumnCount()

Count of columns.

Returns:
  count

#### getColumns

    List<Column> getColumns()

Metadata.

Returns:
  list of result `Column` objects

#### getColumnNames

    List<String> getColumnNames()

Names of columns.

Returns:
  list of result column names

Copyright © 2016, 2024, Oracle and/or its affiliates.